Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421063 (deepin-gir-generator) - Review Request: deepin-gir-generator - Generate static golang bindings for GObject
Summary: Review Request: deepin-gir-generator - Generate static golang bindings for GO...
Keywords:
Status: CLOSED RAWHIDE
Alias: deepin-gir-generator
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview golang-deepin-go-lib startdde
TreeView+ depends on / blocked
 
Reported: 2017-02-10 09:19 UTC by sensor.wen
Modified: 2018-07-22 13:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:32:55 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-03 14:17:09 UTC
koji rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=21016422
koji F26: https://koji.fedoraproject.org/koji/taskinfo?taskID=21016428

Builds in rawhide fail with:
cd src/gir-generator && go build  -o /builddir/build/BUILD/go-gir-generator-1.0.1/out/gir-generator
panic: runtime error: index out of range

This seems to be a problem with go rather then this specific package (maybe related to the on-going mass rebuild?).

rpmlint:
deepin-gir-generator.src: W: spelling-error Summary(en_US) golang -> Angolan, Golan, Angola
deepin-gir-generator.src: W: spelling-error %description -l en_US golang -> Angolan, Golan, Angola
deepin-gir-generator.x86_64: W: spelling-error Summary(en_US) golang -> Angolan, Golan, Angola
deepin-gir-generator.x86_64: W: spelling-error %description -l en_US golang -> Angolan, Golan, Angola
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gio-2.0/gio.gen.c
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gio-2.0/gio.gen.h
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/glib-2.0/glib.gen.c
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/glib-2.0/glib.gen.h
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gobject-2.0/fix_gobject.c
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gobject-2.0/gobject.gen.c
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gobject-2.0/gobject.gen.h
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gobject-2.0/gobject.h
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gudev-1.0/gudev.gen.c
deepin-gir-generator.x86_64: W: devel-file-in-non-devel-package /usr/share/gocode/src/gir/gudev-1.0/gudev.gen.h
deepin-gir-generator.x86_64: W: no-manual-page-for-binary gir-generator
3 packages and 0 specfiles checked; 0 errors, 15 warnings.
All false positives.


+ package name is OK
+ license is acceptable for Fedora (GPLv3)
+ license is specified correctly
+ %license macro is used
+ BR/R/P look OK
+ builds and installs OK in mock (and koji scratch, at least on F26)
+ no scriptlets necessary
+ fedora-review and rpmlint find no issues

Package is APPROVED.

Comment 4 Gwyn Ciesla 2017-08-23 17:36:04 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-gir-generator

Comment 5 Robert-André Mauchin 🐧 2017-08-23 19:43:29 UTC
@mosquito: Could you please build this package in Koji? I fixed the ownership issue.

Comment 6 sensor.wen 2017-08-24 10:27:06 UTC
@Robert build passed in Koji.

Comment 7 Fedora Update System 2017-10-11 06:27:21 UTC
deepin-gir-generator-1.0.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e8012be6c

Comment 8 Zamir SUN 2018-07-22 13:32:55 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.

Comment 9 Zamir SUN 2018-07-22 13:33:24 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.